(define (domain uniexi)

(:requirements :typing :adl)

(:types 
	meal person
)


(:predicates
  (ready)
  (cooked ?m - meal)
  (eaten ?p - person ?m - meal)
)

(:action cook
  :parameters 
    (?m - meal)
  :precondition
    (ready)
  :effect 
    (cooked ?m)
  
)

(:action serve
  :parameters 
    ()
  :precondition
    (exists (?m - meal) (cooked ?m))
    
  :effect 
    (forall (?p - person) (eaten ?p ?m))
  
)




)

